import React from 'react';
import { render } from 'react-dom';

import OverflowMenu, { MenuItem } from '../src';

import styles from './sandbox.scss';

render(
  <div className={styles.sandboxContainer}>
    <div className={styles.sandboxItem}>
      <OverflowMenu placement={'right'}>
        <MenuItem onClick={() => console.log('clicked')}>
          reallylongtextthatwilltruncateeventuallyiftherearenospaces
        </MenuItem>
        {
          false && (
            <MenuItem onClick={() => console.log('clicked')}>List Item</MenuItem>
          )
        }
      </OverflowMenu>
    </div>
    <div className={styles.sandboxItem}>
      <OverflowMenu placement={'left'}>
        <MenuItem title={'Not banana'} onClick={() => console.log('clicked')}>
          Bananas
        </MenuItem>
        <MenuItem onClick={() => console.log('clicked')}>
          <div>Apples</div>
        </MenuItem>
        <MenuItem onClick={() => console.log('clicked')}>
          <a href={'google.com'}>Link</a>
        </MenuItem>
      </OverflowMenu>
    </div>
  </div>,
  window.document.getElementById('root'),
);
